diff --git a/gcc/testsuite/gm2/base-lang/pass/globalproctype.mod b/gcc/testsuite/gm2/base-lang/pass/globalproctype.mod
new file mode 100644
index 00000000000..bddb5a9fdd5
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/globalproctype.mod
@@ -0,0 +1,13 @@
+IMPLEMENTATION MODULE globalproctype ;  (*!m2pim*)
+
+
+PROCEDURE foo (c: CARDINAL) ;
+BEGIN
+END foo ;
+
+
+VAR
+   p: myproc ;
+BEGIN
+   p := foo
+END globalproctype.
diff --git a/gcc/testsuite/gm2/base-lang/pass/globalvar.def b/gcc/testsuite/gm2/base-lang/pass/globalvar.def
new file mode 100644
index 00000000000..8c6ff983df4
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/globalvar.def
@@ -0,0 +1,3 @@
+DEFINITION MODULE globalvar ;  (*!m2pim*)
+
+END globalvar.
diff --git a/gcc/testsuite/gm2/base-lang/pass/globalvar.mod b/gcc/testsuite/gm2/base-lang/pass/globalvar.mod
new file mode 100644
index 00000000000..d18058c31ea
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/globalvar.mod
@@ -0,0 +1,6 @@
+IMPLEMENTATION MODULE globalvar ;  (*!m2pim*)
+
+VAR
+   i: INTEGER ;
+BEGIN
+END globalvar.
diff --git a/gcc/testsuite/gm2/base-lang/pass/globalvarassign.def b/gcc/testsuite/gm2/base-lang/pass/globalvarassign.def
new file mode 100644
index 00000000000..8238bbf4bd3
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/globalvarassign.def
@@ -0,0 +1,3 @@
+DEFINITION MODULE globalvarassign ;  (*!m2pim*)
+
+END globalvarassign.
diff --git a/gcc/testsuite/gm2/base-lang/pass/globalvarassign.mod b/gcc/testsuite/gm2/base-lang/pass/globalvarassign.mod
new file mode 100644
index 00000000000..17e88e43013
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/globalvarassign.mod
@@ -0,0 +1,8 @@
+IMPLEMENTATION MODULE globalvarassign ;  (*!m2pim*)
+
+
+VAR
+   i: INTEGER ;
+BEGIN
+   i := 1
+END globalvarassign.
diff --git a/gcc/testsuite/gm2/base-lang/pass/localproctype.def b/gcc/testsuite/gm2/base-lang/pass/localproctype.def
new file mode 100644
index 00000000000..54164f9727e
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/localproctype.def
@@ -0,0 +1,3 @@
+DEFINITION MODULE localproctype ;  (*!m2pim*)
+
+END localproctype.
diff --git a/gcc/testsuite/gm2/base-lang/pass/localproctype.mod b/gcc/testsuite/gm2/base-lang/pass/localproctype.mod
new file mode 100644
index 00000000000..e896ef2a73d
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/localproctype.mod
@@ -0,0 +1,16 @@
+IMPLEMENTATION MODULE localproctype ;  (*!m2pim*)
+
+TYPE
+   myproc = PROCEDURE (CARDINAL) ;
+
+
+PROCEDURE foo (c: CARDINAL) ;
+BEGIN
+END foo ;
+
+
+VAR
+   p: myproc ;
+BEGIN
+   p := foo
+END localproctype.
diff --git a/gcc/testsuite/gm2/base-lang/pass/localvar.def b/gcc/testsuite/gm2/base-lang/pass/localvar.def
new file mode 100644
index 00000000000..726d46174a9
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/localvar.def
@@ -0,0 +1,3 @@
+DEFINITION MODULE localvar ;  (*!m2pim*)
+
+END localvar.
diff --git a/gcc/testsuite/gm2/base-lang/pass/localvar.mod b/gcc/testsuite/gm2/base-lang/pass/localvar.mod
new file mode 100644
index 00000000000..0839351c49a
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/localvar.mod
@@ -0,0 +1,11 @@
+IMPLEMENTATION MODULE localvar ;  (*!m2pim*)
+
+PROCEDURE foo ;
+VAR
+   i: INTEGER ;
+BEGIN
+END foo ;
+
+BEGIN
+   foo
+END localvar.
diff --git a/gcc/testsuite/gm2/base-lang/pass/localvarassign.def b/gcc/testsuite/gm2/base-lang/pass/localvarassign.def
new file mode 100644
index 00000000000..a9bb7a43df7
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/localvarassign.def
@@ -0,0 +1,3 @@
+DEFINITION MODULE localvarassign ;  (*!m2pim*)
+
+END localvarassign.
diff --git a/gcc/testsuite/gm2/base-lang/pass/localvarassign.mod b/gcc/testsuite/gm2/base-lang/pass/localvarassign.mod
new file mode 100644
index 00000000000..d4de6a54520
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/localvarassign.mod
@@ -0,0 +1,14 @@
+IMPLEMENTATION MODULE localvarassign ;  (*!m2pim*)
+
+
+PROCEDURE foo ;
+VAR
+   i: INTEGER ;
+BEGIN
+   i := 1
+END foo ;
+
+
+BEGIN
+   foo
+END localvarassign.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquefield.def b/gcc/testsuite/gm2/base-lang/pass/opaquefield.def
new file mode 100644
index 00000000000..83006ec8e3b
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquefield.def
@@ -0,0 +1,8 @@
+DEFINITION MODULE opaquefield ;  (*!m2pim*)
+
+TYPE
+   Content ;
+
+PROCEDURE create () : Content ;
+
+END opaquefield.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquefield.mod b/gcc/testsuite/gm2/base-lang/pass/opaquefield.mod
new file mode 100644
index 00000000000..4bbf2238455
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquefield.mod
@@ -0,0 +1,19 @@
+IMPLEMENTATION MODULE opaquefield ;  (*!m2pim*)
+
+FROM opaquestr IMPORT String, initString ;
+
+TYPE
+   Content = POINTER TO RECORD
+                           next: String ;
+                        END ;
+
+PROCEDURE create () : Content ;
+VAR
+   c: Content ;
+BEGIN
+   c^.next := initString () ;
+   RETURN c
+END create ;
+
+
+END opaquefield.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquenew.def b/gcc/testsuite/gm2/base-lang/pass/opaquenew.def
new file mode 100644
index 00000000000..457c3e56a62
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquenew.def
@@ -0,0 +1,8 @@
+DEFINITION MODULE opaquenew ;  (*!m2pim*)
+
+TYPE
+   List ;
+
+PROCEDURE dupList (l: List) : List ;
+
+END opaquenew.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquenew.mod b/gcc/testsuite/gm2/base-lang/pass/opaquenew.mod
new file mode 100644
index 00000000000..c9b873f3abf
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquenew.mod
@@ -0,0 +1,18 @@
+IMPLEMENTATION MODULE opaquenew ;  (*!m2pim*)
+
+TYPE
+   List = POINTER TO RECORD
+                        next: List ;
+                     END ;
+
+
+PROCEDURE dupList (l: List) : List ;
+VAR
+   n: List ;
+BEGIN
+   (* NEW (n) *)
+   n^ := l^ ;
+   RETURN n
+END dupList ;
+
+END opaquenew.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaqueparam.def b/gcc/testsuite/gm2/base-lang/pass/opaqueparam.def
new file mode 100644
index 00000000000..007bfb79800
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaqueparam.def
@@ -0,0 +1,12 @@
+DEFINITION MODULE opaqueparam ;  (*!m2pim*)
+
+TYPE
+   List ;
+
+
+PROCEDURE initList () : List ;
+
+PROCEDURE add (l: List) ;
+
+
+END opaqueparam.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaqueparam.mod b/gcc/testsuite/gm2/base-lang/pass/opaqueparam.mod
new file mode 100644
index 00000000000..1b854f0b60d
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaqueparam.mod
@@ -0,0 +1,32 @@
+IMPLEMENTATION MODULE opaqueparam ;  (*!m2pim*)
+
+TYPE
+   List = POINTER TO RECORD
+                        next: List ;
+                     END ;
+
+
+PROCEDURE local (l: List) : List ;
+BEGIN
+   RETURN l
+END local ;
+
+
+PROCEDURE add (l: List) ;
+BEGIN
+   IF l = NIL
+   THEN
+      l^.next := local (initList ())
+   END
+END add ;
+
+
+PROCEDURE initList () : List ;
+VAR
+   l: List ;
+BEGIN
+   RETURN l
+END initList ;
+
+
+END opaqueparam.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquestr.def b/gcc/testsuite/gm2/base-lang/pass/opaquestr.def
new file mode 100644
index 00000000000..8ebf1665c83
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquestr.def
@@ -0,0 +1,10 @@
+DEFINITION MODULE opaquestr ;  (*!m2pim*)
+
+TYPE
+   String ;
+
+PROCEDURE initString () : String ;
+PROCEDURE concat (left, right: String) : String ;
+
+
+END opaquestr.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaqueuse.def b/gcc/testsuite/gm2/base-lang/pass/opaqueuse.def
new file mode 100644
index 00000000000..084d2555195
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaqueuse.def
@@ -0,0 +1,7 @@
+DEFINITION MODULE opaqueuse ;  (*!m2pim*)
+
+FROM opaqueparam IMPORT List ;
+
+PROCEDURE extending (l: List) : List ;
+
+END opaqueuse.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaqueuse.mod b/gcc/testsuite/gm2/base-lang/pass/opaqueuse.mod
new file mode 100644
index 00000000000..577a54b558d
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaqueuse.mod
@@ -0,0 +1,15 @@
+IMPLEMENTATION MODULE opaqueuse ;  (*!m2pim*)
+
+FROM opaqueparam IMPORT initList, add ;
+
+PROCEDURE extending (l: List) : List ;
+VAR
+   n: List ;
+BEGIN
+   n := initList () ;
+   add (n) ;
+   RETURN n
+END extending ;
+
+
+END opaqueuse.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaqueusestr.def b/gcc/testsuite/gm2/base-lang/pass/opaqueusestr.def
new file mode 100644
index 00000000000..1e05e45335c
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaqueusestr.def
@@ -0,0 +1,9 @@
+DEFINITION MODULE opaqueusestr ;  (*!m2pim*)
+
+FROM opaquestr IMPORT String ;
+
+PROCEDURE doDecimalPlaces (s: String; n: CARDINAL) : String ;
+PROCEDURE IntegerToString (i: INTEGER) : String ;
+
+
+END opaqueusestr.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaqueusestr.mod b/gcc/testsuite/gm2/base-lang/pass/opaqueusestr.mod
new file mode 100644
index 00000000000..65aebee1fd5
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaqueusestr.mod
@@ -0,0 +1,27 @@
+IMPLEMENTATION MODULE opaqueusestr ;  (*!m2pim*)
+
+FROM opaquestr IMPORT initString, concat ;
+
+
+PROCEDURE rtos (r: REAL; TotalWidth, FractionWidth: CARDINAL) : String ;
+BEGIN
+   RETURN ( NIL )
+END rtos ;
+
+
+PROCEDURE doDecimalPlaces (s: String; n: CARDINAL) : String ;
+BEGIN
+   RETURN concat (s, initString ())
+END doDecimalPlaces ;
+
+
+PROCEDURE IntegerToString (i: INTEGER) : String ;
+VAR
+   s: String ;
+BEGIN
+   s := initString () ;
+   RETURN s
+END IntegerToString ;
+
+
+END opaqueusestr.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquevariant.def b/gcc/testsuite/gm2/base-lang/pass/opaquevariant.def
new file mode 100644
index 00000000000..84f0bbd05ed
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquevariant.def
@@ -0,0 +1,6 @@
+DEFINITION MODULE opaquevariant ;  (*!m2pim*)
+
+TYPE
+   Opaque ;
+
+END opaquevariant.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquevariant.mod b/gcc/testsuite/gm2/base-lang/pass/opaquevariant.mod
new file mode 100644
index 00000000000..3197a04ca31
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquevariant.mod
@@ -0,0 +1,26 @@
+IMPLEMENTATION MODULE opaquevariant ;  (*!m2pim*)
+
+TYPE
+   colour = (red, blue, green) ;
+   Opaque = POINTER TO RECORD
+                          CASE key: colour OF
+
+                          red  :  truefield : TrueRec |
+                          blue,
+                          green:  falsefield: FalseRec
+
+                          END
+                       END ;
+
+   TrueRec = RECORD
+                a: Opaque
+             END ;
+
+   FalseRec = RECORD
+                 b: Opaque
+              END ;
+
+VAR
+   v: Opaque ;
+
+END opaquevariant.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquevarparam.def b/gcc/testsuite/gm2/base-lang/pass/opaquevarparam.def
new file mode 100644
index 00000000000..3249da17964
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquevarparam.def
@@ -0,0 +1,9 @@
+DEFINITION MODULE opaquevarparam ;
+
+TYPE
+   Opaque ;
+
+PROCEDURE del (VAR o: Opaque) ;
+
+
+END opaquevarparam.
diff --git a/gcc/testsuite/gm2/base-lang/pass/opaquevarparam.mod b/gcc/testsuite/gm2/base-lang/pass/opaquevarparam.mod
new file mode 100644
index 00000000000..90a34bda2b4
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/opaquevarparam.mod
@@ -0,0 +1,16 @@
+IMPLEMENTATION MODULE opaquevarparam ;
+
+TYPE
+   Opaque = POINTER TO RECORD
+                          next: Opaque ;
+                       END ;
+
+PROCEDURE del (VAR o: Opaque) ;
+BEGIN
+   IF o # NIL
+   THEN
+      del (o^.next)
+   END
+END del ;
+
+END opaquevarparam.
diff --git a/gcc/testsuite/gm2/base-lang/pass/simplelist.def b/gcc/testsuite/gm2/base-lang/pass/simplelist.def
new file mode 100644
index 00000000000..f6221757f6e
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/simplelist.def
@@ -0,0 +1,11 @@
+DEFINITION MODULE simplelist ;  (*!m2pim*)
+
+TYPE
+   List ;
+
+PROCEDURE initList () : List ;
+
+PROCEDURE concat (l: List) : List ;
+
+
+END simplelist.
diff --git a/gcc/testsuite/gm2/base-lang/pass/simplelist.mod b/gcc/testsuite/gm2/base-lang/pass/simplelist.mod
new file mode 100644
index 00000000000..37b1e595917
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/simplelist.mod
@@ -0,0 +1,33 @@
+IMPLEMENTATION MODULE simplelist ;  (*!m2pim*)
+
+
+TYPE
+   List = POINTER TO RECORD
+                        next: List ;
+                     END ;
+
+
+PROCEDURE initList () : List ;
+VAR
+   l: List ;
+BEGIN
+   (* Ignore NEW (l) for now.  *)
+   RETURN l
+END initList ;
+
+
+PROCEDURE concat (l: List) : List ;
+BEGIN
+   l^.next := initList () ;
+   RETURN l
+END concat ;
+
+
+PROCEDURE addList (l: List) : List ;
+BEGIN
+   l^.next := initList () ;
+   RETURN l
+END addList ;
+
+
+END simplelist.
diff --git a/gcc/testsuite/gm2/base-lang/pass/simplelistiter.def b/gcc/testsuite/gm2/base-lang/pass/simplelistiter.def
new file mode 100644
index 00000000000..b2eae7652b1
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/simplelistiter.def
@@ -0,0 +1,10 @@
+DEFINITION MODULE simplelistiter ;  (*!m2pim*)
+
+TYPE
+   List ;
+
+PROCEDURE initList () : List ;
+
+PROCEDURE items (l: List) : CARDINAL ;
+
+END simplelistiter.
diff --git a/gcc/testsuite/gm2/base-lang/pass/simplelistiter.mod b/gcc/testsuite/gm2/base-lang/pass/simplelistiter.mod
new file mode 100644
index 00000000000..10cacde3637
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/simplelistiter.mod
@@ -0,0 +1,30 @@
+IMPLEMENTATION MODULE simplelistiter ;  (*!m2pim*)
+
+TYPE
+   List = POINTER TO RECORD
+                        next: List ;
+                     END ;
+
+PROCEDURE initList () : List ;
+VAR
+   l: List ;
+BEGIN
+   RETURN l
+END initList ;
+
+
+PROCEDURE items (l: List) : CARDINAL ;
+(* VAR
+   count: CARDINAL ; *)
+BEGIN
+(*   count := 0 ; *)
+   WHILE l # NIL DO
+      (* INC (count) ; *)
+      l := l^.next
+   END ;
+   (* RETURN count *)
+   RETURN 0
+END items ;
+
+
+END simplelistiter.
diff --git a/gcc/testsuite/gm2/base-lang/pass/simpleopaque.def b/gcc/testsuite/gm2/base-lang/pass/simpleopaque.def
new file mode 100644
index 00000000000..ca601aad018
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/simpleopaque.def
@@ -0,0 +1,13 @@
+DEFINITION MODULE simpleopaque ;  (*!m2pim*)
+
+TYPE
+   List ;
+
+PROCEDURE init () : List ;
+
+PROCEDURE join (left, right: List) : List ;
+
+PROCEDURE delete (VAR l: List) ;
+
+
+END simpleopaque.
diff --git a/gcc/testsuite/gm2/base-lang/pass/simpleopaque.mod b/gcc/testsuite/gm2/base-lang/pass/simpleopaque.mod
new file mode 100644
index 00000000000..62d56c01602
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/simpleopaque.mod
@@ -0,0 +1,32 @@
+IMPLEMENTATION MODULE simpleopaque ;  (*!m2pim*)
+
+TYPE
+   List = POINTER TO RECORD
+                        next: List ;
+                     END ;
+
+
+PROCEDURE init () : List ;
+VAR
+   l: List ;
+BEGIN
+   RETURN l
+END init ;
+
+
+PROCEDURE join (left, right: List) : List ;
+VAR
+   l: List ;
+BEGIN
+   l := left ;
+   RETURN l
+END join ;
+
+
+PROCEDURE delete (VAR l: List) ;
+BEGIN
+   l := NIL
+END delete ;
+
+
+END simpleopaque.
diff --git a/gcc/testsuite/gm2/base-lang/pass/straddress.def b/gcc/testsuite/gm2/base-lang/pass/straddress.def
new file mode 100644
index 00000000000..24b243c2c72
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/straddress.def
@@ -0,0 +1,5 @@
+DEFINITION MODULE straddress ;  (*!m2pim*)
+
+PROCEDURE Open (a: ARRAY OF CHAR) ;
+
+END straddress.
diff --git a/gcc/testsuite/gm2/base-lang/pass/straddress.mod b/gcc/testsuite/gm2/base-lang/pass/straddress.mod
new file mode 100644
index 00000000000..78f90baee6c
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/straddress.mod
@@ -0,0 +1,16 @@
+IMPLEMENTATION MODULE straddress ;  (*!m2pim*)
+
+FROM SYSTEM IMPORT ADDRESS, ADR ;
+
+
+PROCEDURE open (a: ADDRESS) ;
+BEGIN
+END open ;
+
+PROCEDURE Open (a: ARRAY OF CHAR) ;
+BEGIN
+   open (ADR (a))
+END Open ;
+
+
+END straddress.
diff --git a/gcc/testsuite/gm2/base-lang/pass/straddressexport.def b/gcc/testsuite/gm2/base-lang/pass/straddressexport.def
new file mode 100644
index 00000000000..34618ec1204
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/straddressexport.def
@@ -0,0 +1,8 @@
+DEFINITION MODULE straddressexport ;  (*!m2pim*)
+
+FROM SYSTEM IMPORT ADDRESS ;
+
+PROCEDURE Open (a: ARRAY OF CHAR) ;
+PROCEDURE open (a: ADDRESS) ;
+
+END straddressexport.
diff --git a/gcc/testsuite/gm2/base-lang/pass/straddressexport.mod b/gcc/testsuite/gm2/base-lang/pass/straddressexport.mod
new file mode 100644
index 00000000000..0f1cca932ae
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/straddressexport.mod
@@ -0,0 +1,16 @@
+IMPLEMENTATION MODULE straddressexport ;  (*!m2pim*)
+
+FROM SYSTEM IMPORT ADR ;
+
+
+PROCEDURE open (a: ADDRESS) ;
+BEGIN
+END open ;
+
+PROCEDURE Open (a: ARRAY OF CHAR) ;
+BEGIN
+   open (ADR (a))
+END Open ;
+
+
+END straddressexport.
diff --git a/gcc/testsuite/gm2/base-lang/pass/unboundedarray.def b/gcc/testsuite/gm2/base-lang/pass/unboundedarray.def
new file mode 100644
index 00000000000..52c00356f17
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/unboundedarray.def
@@ -0,0 +1,5 @@
+DEFINITION MODULE unboundedarray ;
+
+PROCEDURE message (m: ARRAY OF CARDINAL) ;
+
+END unboundedarray.
diff --git a/gcc/testsuite/gm2/base-lang/pass/unboundedarray.mod b/gcc/testsuite/gm2/base-lang/pass/unboundedarray.mod
new file mode 100644
index 00000000000..48f027efee1
--- /dev/null
+++ b/gcc/testsuite/gm2/base-lang/pass/unboundedarray.mod
@@ -0,0 +1,8 @@
+IMPLEMENTATION MODULE unboundedarray ;
+
+PROCEDURE message (m: ARRAY OF CARDINAL) ;
+BEGIN
+   m[0] := 1
+END message ;
+
+END unboundedarray.

